org.apache.ignite.internal.pagemem.wal.record

## Enum TxRecord.TxAction

- java.lang.Object
- - java.lang.Enum<TxRecord.TxAction>
  - - org.apache.ignite.internal.pagemem.wal.record.TxRecord.TxAction

All Implemented Interfaces:
  Serializable, Comparable<TxRecord.TxAction>

Enclosing class:
  TxRecord

    public static enum TxRecord.TxAction
    extends Enum<TxRecord.TxAction>

Tx action enum.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`BEGIN` Transaction begin.
`COMMIT` Transaction commit.
`PREPARE` Transaction prepare.
`ROLLBACK` Transaction rollback.

### Method Summary

Methods
`static TxRecord.TxAction` `fromOrdinal(int ord)` Gets tx action value from ordinal.
`static TxRecord.TxAction` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static TxRecord.TxAction[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### BEGIN

    public static final TxRecord.TxAction BEGIN

Transaction begin.

#### PREPARE

    public static final TxRecord.TxAction PREPARE

Transaction prepare.

#### COMMIT

    public static final TxRecord.TxAction COMMIT

Transaction commit.

#### ROLLBACK

    public static final TxRecord.TxAction ROLLBACK

Transaction rollback.

### Method Detail

#### values

    public static TxRecord.TxAction[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (TxRecord.TxAction c : TxRecord.TxAction.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static TxRecord.TxAction valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### fromOrdinal

    public static TxRecord.TxAction fromOrdinal(int ord)

Gets tx action value from ordinal.

Parameters:
  `ord` - Ordinal.
Returns:
  Value.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017